<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="bg-white border border-top-0 d-flex flex-row flex-nowrap shadow-sm">
  <div class="m-4">

    <h4 [innerText]="messages.ADMIN_SIGN_VALIDATION_TITLE"></h4>
    <div
      [innerHTML]="messages.ADMIN_SIGN_VALIDATION_PRESENTATION"
      style="text-align: justify;">
    </div>

    <div class="mt-4">
      <h5 [innerText]="messages.ADMIN_SIGN_VALIDATION_IDS"></h5>
      <div class="text-danger" *ngIf="!activatedFeature">
        <fa-icon [icon]="exclamationIcon"></fa-icon>
        <span [innerText]="messages.ADMIN_SIGN_VALIDATION_NON_ACTIVATED"></span>
      </div>
      <div class="text-success" *ngIf="activatedFeature">
        <fa-icon [icon]="checkIcon"></fa-icon>
        <span [innerText]="messages.ADMIN_SIGN_VALIDATION_VALID_IDENTIFICATION"></span>
        <span [innerText]="this.clientId"></span>
        <button
          type="button"
          class="btn btn-sm btn-outline-danger ms-2"
          [title]="messages.ADMIN_SIGN_VALIDATION_DELETE_CONFIGURATION"
          (click)="onDeleteButtonClicked()">
          <fa-icon
            [fixedWidth]="true"
            [icon]="commonIcons.DELETE_ICON">
          </fa-icon>
        </button>
      </div>
    </div>

    <div class="mt-4 col-lg-3">
      <h5 [innerText]="messages.ADMIN_SIGN_VALIDATION_MODIFY_IDS"></h5>
      <div class="modal-body">
        <form [formGroup]="myForm" class="mt-4 ls-form" novalidate>
          <div class="form-group required">
            <label
              class="w-100 required d-flex justify-content-between"
              for="clientIdInput"
              [innerText]="messages.ADMIN_SIGN_VALIDATION_CLIENT_ID">
            </label>
            <input
              id="clientIdInput"
              formControlName="clientId"
              type="text"
              class="form-control">
          </div>
          <div class="form-group required">
            <label
              class="w-100 required d-flex justify-content-between"
              for="clientSecretInput"
              [innerText]="messages.ADMIN_SIGN_VALIDATION_CLIENT_SECRET">
            </label>
            <input
              id="clientSecretInput"
              formControlName="clientSecret"
              type="password"
              class="form-control">
          </div>
        </form>
      </div>
    </div>

    <div class="text-center">
      <button
        [disabled]="myForm.invalid"
        ls-button-save
        [processing]="isProcessing"
        (click)="onSaveButtonClicked()">
      </button>
    </div>
  </div>
</div>
